export GOBIN=$(go env GOPATH)/bin
export PATH=$PATH:$GOBIN
export RPC_PATH=$PWD/remotecontrol

go install google.golang.org/protobuf/compiler/protogen

mkdir -p $RPC_PATH
rm -f $RPC_PATH/*.pb.go
protoc -I$RPC_PATH --go_out=plugins=grpc:$RPC_PATH $RPC_PATH/remotecontrol.proto

# Cluster interface
export CUSTER_PATH=$PWD/cluster
rm -f $CUSTER_PATH/*.pb.go
protoc -I$CUSTER_PATH --go_out=plugins=grpc:$CUSTER_PATH $CUSTER_PATH/cluster.proto
